ffmpeg-private-devel-3.4.2-lp150.2.1.x86_64.rpm


Advertisement

Description

ffmpeg-private-devel - Some FFmpeg private headers

Property Value
Distribution openSUSE Leap 15.0
Repository openSUSE Oss all
Package filename ffmpeg-private-devel-3.4.2-lp150.2.1.x86_64.rpm
Package name ffmpeg-private-devel
Package version 3.4.2
Package release lp150.2.1
Package architecture x86_64
Package type rpm
Category Development/Libraries/C and C++
Homepage https://ffmpeg.org/
License LGPL-2.1-or-later AND GPL-2.0-or-later
Maintainer -
Download size 73.45 KB
Installed size 140.99 KB
FFmpeg is a multimedia framework, able to decode, encode,
transcode, mux, demux, stream, filter and play several formats
that humans and machines have created.
This package contains some private headers for libavformat, libavcodec and
libavutil which are needed by libav-tools to build. No other package apart
from libav should depend on these private headers which are expected to
break compatibility without any notice.

Alternatives

Package Version Architecture Repository
ffmpeg-private-devel - - -

Requires

Name Value
libavcodec-devel = 3.4.2-lp150.2.1
libavformat-devel = 3.4.2-lp150.2.1
libavutil-devel = 3.4.2-lp150.2.1

Provides

Name Value
ffmpeg-private-devel = 3.4.2-lp150.2.1
ffmpeg-private-devel(x86-64) = 3.4.2-lp150.2.1

Download

Type URL
Mirror widehat.opensuse.org
Binary Package ffmpeg-private-devel-3.4.2-lp150.2.1.x86_64.rpm
Source Package ffmpeg-3.4.2-lp150.2.1.src.rpm

Install Howto

Install ffmpeg-private-devel rpm package:

# zypper install ffmpeg-private-devel

Files

Path
/usr/include/ffmpeg/private/
/usr/include/ffmpeg/private/libavcodec/options_table.h
/usr/include/ffmpeg/private/libavformat/internal.h
/usr/include/ffmpeg/private/libavformat/options_table.h
/usr/include/ffmpeg/private/libavformat/os_support.h
/usr/include/ffmpeg/private/libavutil/colorspace.h
/usr/include/ffmpeg/private/libavutil/internal.h
/usr/include/ffmpeg/private/libavutil/libm.h
/usr/include/ffmpeg/private/libavutil/timer.h
/usr/include/ffmpeg/private/libavutil/aarch64/timer.h
/usr/include/ffmpeg/private/libavutil/arm/timer.h
/usr/include/ffmpeg/private/libavutil/bfin/timer.h
/usr/include/ffmpeg/private/libavutil/ppc/timer.h
/usr/include/ffmpeg/private/libavutil/x86/emms.h
/usr/include/ffmpeg/private/libavutil/x86/timer.h

Changelog

2018-03-23 - alarrosa@suse.com
- Create a new package ffmpeg-private-devel which contains some
headers under /usr/include/ffmpeg/private that were not installed
by upstream. Those headers are needed by the libav package in order
to build avconv and other tools using the libav* libraries generated
by ffmpeg instead of its own. No other package should require
ffmpeg-private-devel.
2018-03-21 - alarrosa@suse.com
- Build and install also the sidxindex tool
2018-02-20 - bjorn.lie@gmail.com
- Enable mpeg1video and mpeg2video in enable_decoders, and remove
it from disable-decoders call given to configure, mpeg2 now
available in openSUSE.
2018-02-13 - nico.kruber@gmail.com
- enable video stabilization/deshaking via libvidstab (optional)
2018-02-12 - jengelh@inai.de
- Update to new bugfix release 3.4.2
* Fix integer overflows, multiplication overflows, undefined
shifts, and verify buffer lengths.
* avfilter/vf_transpose: Fix used plane count
[boo#1078488, CVE-2018-6392]
* avcodec/utvideodec: Fix bytes left check in decode_frame()
[boo#1079368, CVE-2018-6621]
- Enable use of libzvbi for displaying teletext subtitles.
- Fixed a DoS in swri_audio_convert(), added cve-2017-17555.diff
[boo#1072366, CVE-2017-17555].
2017-12-11 - jengelh@inai.de
- Update to new bugfix release 3.4.1
* Fixed integer overflows, division by zero, illegal bit shifts
* Fixed the gmc_mmx function which failed to validate width
and height [boo#1070762, CVE-2017-17081]
* Fixed out-of-bounds in VC-2 encoder [boo#1069407, CVE-2017-16840]
* ffplay: use SDL2 audio API
- Removed 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
(upstreamed).
2017-12-01 - jengelh@inai.de
- Add 0001-avcodec-x86-mpegvideodsp-Fix-signedness-bug-in-need_.patch
[boo#1070762]
2017-11-30 - jslaby@suse.com
- install also doc/ffserver.conf
2017-10-31 - jengelh@inai.de
- Get rid of ffmpeg-pkgconfig-version.patch.
2017-10-16 - jengelh@inai.de
- Update to new upstream release 3.4
* New video filters: deflicker, doublewave, lumakey, pixscope,
oscilloscope, robterts, limiter, libvmaf, unpremultiply,
tlut2, floodifll, pseudocolor, despill, convolve, vmafmotion.
* New audio filters: afir, crossfeed, surround, headphone,
superequalizer, haas.
* Some video filters with several inputs now use a common set
of options: blend, libvmaf, lut3d, overlay, psnr, ssim. They
must always be used by name.
* librsvg support for svg rasterization
* spec-compliant VP9 muxing support in MP4
* Remove the libnut and libschroedinger muxer/demuxer wrappers
* drop deprecated qtkit input device (use avfoundation instead)
* SUP/PGS subtitle muxer
* VP9 tile threading support
* KMS screen grabber
* CUDA thumbnail filter
* V4L2 mem2mem HW assisted codecs
* Rockchip MPP hardware decoding
* (Not in openSUSE builds, only original ones:)
* Gremlin Digital Video demuxer and decoder
* Additional frame format support for Interplay MVE movies
* Dolby E decoder and SMPTE 337M demuxer
* raw G.726 muxer and demuxer, left- and right-justified
* NewTek NDI input/output device
* FITS demuxer, muxer, decoder and encoder
- Fixed a double free in huffyuv [boo#1064577, CVE-2017-15186]
- Fixed an out-of-bounds in ffv1dec [boo#1066428, CVE-2017-15672]
- Fixed a denial of service in rtmppkt [boo#1082335, CVE-2017-11665]

See Also

Package Description
ffmpegthumbnailer-2.2.0-lp150.1.4.x86_64.rpm Video thumbnailer that can be used by file managers
ffmpegthumbs-17.12.3-lp150.1.1.x86_64.rpm FFmpeg-based thumbnail creator for video files
ffmsindex-2.23.1-lp150.1.5.x86_64.rpm Wrapper library around libffmpeg
ffsb-6.0_rc2-lp150.1.3.x86_64.rpm Flexible File System Benchmark
fftw3-devel-3.3.6-lp150.3.3.x86_64.rpm Include Files and Libraries mandatory for Development
fftw3-gnu-hpc-devel-3.3.6-lp150.3.3.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-hpc-devel
fftw3-gnu-mpich-hpc-devel-3.3.6-lp150.3.3.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-mpich-hpc-devel
fftw3-gnu-mvapich2-hpc-devel-3.3.6-lp150.3.3.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-mvapich2-hpc-devel
fftw3-gnu-openmpi1-hpc-devel-3.3.6-lp150.3.3.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi1-hpc-devel
fftw3-gnu-openmpi2-hpc-devel-3.3.6-lp150.3.4.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi2-hpc-devel
fftw3-gnu-openmpi3-hpc-devel-3.3.6-lp150.3.3.x86_64.rpm Dependency package for fftw3_3_3_6-gnu-openmpi3-hpc-devel
fftw3-mpi-devel-3.3.6-lp150.3.3.x86_64.rpm Discrete Fourier Transform (DFT) C subroutine library
fftw3-openmp-devel-3.3.6-lp150.3.3.x86_64.rpm Discrete Fourier Transform (DFT) C subroutine library
fftw3-threads-devel-3.3.6-lp150.3.3.x86_64.rpm Discrete Fourier Transform (DFT) C subroutine library
fftw3_3_3_6-gnu-hpc-devel-3.3.6-lp150.3.3.x86_64.rpm Include Files and Libraries mandatory for Development
Advertisement
Advertisement